Bug 311011 - system-config-selinux fails to start
system-config-selinux fails to start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 10:23 EDT by Jonathan Underwood
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.0.14-9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 20:18:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-09-28 10:23:05 EDT
Description of problem:
# system-config-selinux 
/usr/share/system-config-selinux/system-config-selinux.py:72: Warning:
IA__g_object_get_valist: object class `GnomeProgram' has no property named
`default-icon'
  xml = gtk.glade.XML
("/usr/share/system-config-selinux/system-config-selinux.glade", domain=PROGNAME)
Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 171, in
<module>
    app = childWindow()
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 82, in
__init__
    self.add_page(statusPage.statusPage(xml))
  File "/usr/share/system-config-selinux/statusPage.py", line 68, in __init__
    self.type = selinux.selinux_getpolicytype()
TypeError: selinux_getpolicytype() takes exactly 1 argument (0 given)


Version-Release number of selected component (if applicable):
# rpm -qa | grep policycore
policycoreutils-2.0.16-11.fc7
policycoreutils-gui-2.0.16-11.fc7

# rpm -qa | grep selinux
selinux-policy-targeted-2.6.4-43.fc7
libselinux-2.0.14-8.fc7
selinux-policy-2.6.4-43.fc7
libselinux-python-2.0.14-8.fc7


How reproducible:
Everytime
Comment 1 Daniel Walsh 2007-10-01 16:35:37 EDT
Fixed in libselinux-2.0.14-9.fc7
Comment 2 Jonathan Underwood 2007-10-03 20:18:45 EDT
Indeed it is fixed with updated libselinux  -thanks very much.

Note You need to log in before you can comment on or make changes to this bug.